Bug 1384483 - Snapshot : Seeing AVC denied messages generated when snapshot and clones are created
Summary: Snapshot : Seeing AVC denied messages generated when snapshot and clones are ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: selinux-policy
Version: 7.3
Hardware: x86_64
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Miroslav Grepl
QA Contact: Milos Malik
Mirek Jahoda
URL:
Whiteboard:
Depends On:
Blocks: 1386621
TreeView+ depends on / blocked
 
Reported: 2016-10-13 11:31 UTC by Anil Shah
Modified: 2017-08-01 15:15 UTC (History)
15 users (show)

Fixed In Version: selinux-policy-3.13.1-105.el7
Doc Type: Bug Fix
Doc Text:
Prior to this update, SELinux denied access while creating snapshots and clones in Red Hat Gluster Storage (RHGS). The SELinux policy has been updated, and the Access Vector Cache (AVC) denials no longer occur.
Clone Of: 1384481
: 1386621 (view as bug list)
Environment:
Last Closed: 2017-08-01 15:15:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:1861 0 normal SHIPPED_LIVE selinux-policy bug fix update 2017-08-01 17:50:24 UTC

Comment 2 Anil Shah 2016-10-13 12:01:37 UTC
It would be great if you can fix this bug in RHEL-7.3.

Comment 5 Milos Malik 2016-10-13 13:09:29 UTC
't' is missing:

# semanage permissive -a glusterd_
ValueError: glusterd_ is not a domain type
#

Correct command is:

# semanage permissive -a glusterd_t
#

Comment 12 Anil Shah 2016-10-19 12:20:07 UTC
Updated selinux policy :

[root@rhs-client46 ~]# rpm -qa | grep selinux-policy
selinux-policy-3.13.1-102.el7_3.4.noarch
selinux-policy-targeted-3.13.1-102.el7_3.4.noarch


Not seeing any AVC denied messages ,while creating snapshots and clones.

Comment 15 errata-xmlrpc 2017-08-01 15:15:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:1861


Note You need to log in before you can comment on or make changes to this bug.